Skip to main content
GET
List events

Authorizations

Authorization
string
header
required

Create an API token using sf tokens create or at https://sfcompute.com/dashboard/tokens.

Query Parameters

starting_after
string

Return events after this cursor, exclusive. A cursor only works with the same filter parameters it was created with.

Pattern: ^evtc_[A-Za-z0-9_-]+$
Example:

"evtc_gqXR7s0Kj5mHvE2wNpLc4Q"

limit
integer<u-int32>
default:50

Maximum number of events to return per page.

Required range: 1 <= x <= 200
action
string

Only return events with exactly this action.

target
string

Only return events about this target id.

target_type
string

Only return events whose targets are this kind of resource. Redundant if action is specified.

since
integer<int64>

Unix timestamp. Only return events that occurred at or after this time.

until
integer<int64>

Unix timestamp. Only return events that occurred at or before this time.

Response

Paginated list of events.

object
string
default:list
required
read-only
Allowed value: "list"
data
object[]
required

The page of events, oldest first.

has_more
boolean
required

Whether more events are available after this page.

cursor
null | string

The last event's cursor. Pass it as starting_after to fetch the next page. Omitted when data is empty.

Pattern: ^evtc_[A-Za-z0-9_-]+$
Example:

"evtc_gqXR7s0Kj5mHvE2wNpLc4Q"